logsys_logger Struct Reference

## Data Fields

char | subsys [LOGSYS_MAX_SUBSYS_NAMELEN]
char * | logfile
unsigned int | mode
unsigned int | debug
int | syslog_priority
int | logfile_priority
int | init_status
int32_t | target_id
char * | files [MAX_FILES_PER_SUBSYS]
int32_t | file_idx
int32_t | dirty

## Detailed Description

Definition at line 86 of file logsys.c.

## Field Documentation

## debug

unsigned int logsys_logger::debug

Definition at line 90 of file logsys.c.

Referenced by _logsys_system_setup(), logsys_config_debug_get(), and logsys_config_debug_set().

## dirty

int32_t logsys_logger::dirty

Definition at line 98 of file logsys.c.

Referenced by logsys_config_debug_set(), logsys_config_logfile_priority_set(), and logsys_config_syslog_priority_set().

## file_idx

int32_t logsys_logger::file_idx

Definition at line 97 of file logsys.c.

Referenced by _logsys_system_setup(), and logsys_system_fini().

## files

char* logsys_logger::files[MAX_FILES_PER_SUBSYS]

Definition at line 96 of file logsys.c.

Referenced by logsys_system_fini().

## init_status

int logsys_logger::init_status

Definition at line 93 of file logsys.c.

Referenced by _logsys_system_setup().

## logfile

char* logsys_logger::logfile

Definition at line 88 of file logsys.c.

Referenced by logsys_reopen_log_files(), and logsys_system_fini().

## logfile_priority

int logsys_logger::logfile_priority

Definition at line 92 of file logsys.c.

Referenced by _logsys_system_setup(), and logsys_config_logfile_priority_set().

## mode

unsigned int logsys_logger::mode

Definition at line 89 of file logsys.c.

Referenced by _logsys_system_setup(), logsys_config_mode_get(), and logsys_config_mode_set().

## subsys

char logsys_logger::subsys[LOGSYS_MAX_SUBSYS_NAMELEN]

Definition at line 87 of file logsys.c.

Referenced by _logsys_config_subsys_get(), _logsys_subsys_create(), _logsys_system_setup(), logsys_config_apply(), logsys_config_debug_get(), logsys_config_debug_set(), logsys_config_file_set(), logsys_config_logfile_priority_set(), logsys_config_mode_get(), logsys_config_mode_set(), and logsys_config_syslog_priority_set().

## syslog_priority

int logsys_logger::syslog_priority

Definition at line 91 of file logsys.c.

Referenced by _logsys_system_setup(), and logsys_config_syslog_priority_set().

## target_id

int32_t logsys_logger::target_id

Definition at line 95 of file logsys.c.

Referenced by logsys_format_set(), logsys_reopen_log_files(), and logsys_thread_start().

The documentation for this struct was generated from the following file:

- logsys.c